Exodus 7.10

Data Fields
ex_init_params Struct Reference
Structures used by external API functions.

`#include <exodusII.h>`

## Data Fields
char | title [MAX_LINE_LENGTH+1]
int64_t | num_dim
int64_t | num_nodes
int64_t | num_edge
int64_t | num_edge_blk
int64_t | num_face
int64_t | num_face_blk
int64_t | num_elem
int64_t | num_elem_blk
int64_t | num_node_sets
int64_t | num_edge_sets
int64_t | num_face_sets
int64_t | num_side_sets
int64_t | num_elem_sets
int64_t | num_node_maps
int64_t | num_edge_maps
int64_t | num_face_maps
int64_t | num_elem_maps

## Detailed Description

Examples
  /test/CreateEdgeFace.c, /test/ReadEdgeFace.c, /test/testrd-nfaced.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## Field Documentation

## ◆ num_dim

int64_t ex_init_params::num_dim

Examples
  /test/ReadEdgeFace.c, /test/testrd-nfaced.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_edge

int64_t ex_init_params::num_edge

Examples
  /test/ReadEdgeFace.c, /test/testrd-nfaced.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_edge_blk

int64_t ex_init_params::num_edge_blk

Examples
  /test/CreateEdgeFace.c, /test/ReadEdgeFace.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_edge_maps

int64_t ex_init_params::num_edge_maps

Examples
  /test/ReadEdgeFace.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_edge_sets

int64_t ex_init_params::num_edge_sets

Examples
  /test/ReadEdgeFace.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_elem

int64_t ex_init_params::num_elem

Examples
  /test/ReadEdgeFace.c, /test/testrd-nfaced.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_elem_blk

int64_t ex_init_params::num_elem_blk

Examples
  /test/CreateEdgeFace.c, /test/ReadEdgeFace.c, /test/testrd-nfaced.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_elem_maps

int64_t ex_init_params::num_elem_maps

Examples
  /test/ReadEdgeFace.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_elem_sets

int64_t ex_init_params::num_elem_sets

Examples
  /test/ReadEdgeFace.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_face

int64_t ex_init_params::num_face

Examples
  /test/ReadEdgeFace.c, /test/testrd-nfaced.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_face_blk

int64_t ex_init_params::num_face_blk

Examples
  /test/CreateEdgeFace.c, /test/ReadEdgeFace.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_face_maps

int64_t ex_init_params::num_face_maps

Examples
  /test/ReadEdgeFace.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_face_sets

int64_t ex_init_params::num_face_sets

Examples
  /test/ReadEdgeFace.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_node_maps

int64_t ex_init_params::num_node_maps

Examples
  /test/ReadEdgeFace.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_node_sets

int64_t ex_init_params::num_node_sets

Examples
  /test/ReadEdgeFace.c, /test/testrd-nfaced.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_nodes

int64_t ex_init_params::num_nodes

Examples
  /test/ReadEdgeFace.c, /test/testrd-nfaced.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ num_side_sets

int64_t ex_init_params::num_side_sets

Examples
  /test/ReadEdgeFace.c, /test/testrd-nfaced.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

## ◆ title

char ex_init_params::title[MAX_LINE_LENGTH+1]

Examples
  /test/ReadEdgeFace.c, /test/testrd-nfaced.c, /test/testwt-nface-nside.c, and /test/testwt-nfaced.c.

The documentation for this struct was generated from the following file:

- include/exodusII.h